Login
Newsletter
Werbung

Sicherheit: Denial of Service in QtGui
Aktuelle Meldungen Distributionen
Name: Denial of Service in QtGui
ID: 201412-25
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: So, 14. Dezember 2014, 00:36
Referenzen: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0190
Applikationen: QtGui

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--x8PTU5Esq5MmWVK85TrUc2c8iio66dfpR
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201412-25
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: QtGui: Denial of Service
Date: December 13, 2014
Bugs: #508984
ID: 201412-25

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A NULL pointer dereference in QtGui could lead to Denial of Service.

Background
==========

QtGui is the GUI module and platform plugins for the Qt5 framework.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 dev-qt/qtgui < 4.8.5-r2 >= 4.8.5-r2

Description
===========

A NULL pointer dereference has been found in QtGui.

Impact
======

A remote attacker could send a specially crafted GIF image, possibly
resulting in a Denial of Service condition.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All QtGui users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=dev-qt/qtgui-4.8.5-r2"

References
==========

[ 1 ] CVE-2014-0190
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-0190

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

http://security.gentoo.org/glsa/glsa-201412-25.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2014 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--x8PTU5Esq5MmWVK85TrUc2c8iio66dfpR
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iF4EAREIAAYFAlSMkKkACgkQAnl3SfnYR/jmogD/UBozTQoCuWZoFVifadcjyjRK
Vt5lZVC8cianZe4DoosA+gNXDWdej0GNJ1rslYSfTLgbmMNNQXwDgTbHk8FMKrCd
=vvM2
-----END PGP SIGNATURE-----

--x8PTU5Esq5MmWVK85TrUc2c8iio66dfpR--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung